Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlxt
Interface Transform

public interface Transform

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`org.w3c.dom.Document` | `binaryToDOM(java.io.InputStream in)`
`org.w3c.dom.Document` | `binaryToDOM(java.io.InputStream in, java.io.PrintWriter debug)`
`java.lang.String` | `binaryToXml(java.io.InputStream in)`
`java.lang.String` | `binaryToXml(java.io.InputStream in, java.io.PrintWriter debug)`
`byte[]` | `xmlToBinary(java.io.InputStream xml)`
`byte[]` | `xmlToBinary(java.io.InputStream xml, java.io.PrintWriter debug)`
`byte[]` | `xmlToBinary(java.io.Reader xml)`
`byte[]` | `xmlToBinary(java.io.Reader xml, java.io.PrintWriter debug)`

Method Detail

### binaryToXml

    public java.lang.String binaryToXml(java.io.InputStream in)
                                 throws WLXTException

### binaryToXml

    public java.lang.String binaryToXml(java.io.InputStream in,
                                        java.io.PrintWriter debug)
                                 throws WLXTException

### binaryToDOM

    public org.w3c.dom.Document binaryToDOM(java.io.InputStream in)
                                     throws WLXTException

### binaryToDOM

    public org.w3c.dom.Document binaryToDOM(java.io.InputStream in,
                                            java.io.PrintWriter debug)
                                     throws WLXTException

### xmlToBinary

    public byte[] xmlToBinary(java.io.InputStream xml)
                       throws WLXTException

### xmlToBinary

    public byte[] xmlToBinary(java.io.InputStream xml,
                              java.io.PrintWriter debug)
                       throws WLXTException

### xmlToBinary

    public byte[] xmlToBinary(java.io.Reader xml)
                       throws WLXTException

### xmlToBinary

    public byte[] xmlToBinary(java.io.Reader xml,
                              java.io.PrintWriter debug)
                       throws WLXTException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)